Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1228464

Summary: SELinux is preventing nm-dispatcher from using the 'sigchld' accesses on a process.
Product: [Fedora] Fedora Reporter: Brian Vaughan <bgvaughan>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: dominick.grift, dwalsh, lvrabec, mgrepl, plautrba
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:89def6cdd9bfa8c8a055faedf6cde98aef5f08e03a9a68a025b1c2debca68135
Fixed In Version: selinux-policy-3.13.1-128.2.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-27 22:33:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Brian Vaughan 2015-06-05 02:43:18 UTC
Description of problem:
SELinux is preventing nm-dispatcher from using the 'sigchld' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that nm-dispatcher should be allowed sigchld access on processes labeled NetworkManager_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep nm-dispatcher /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:dnssec_trigger_t:s0
Target Context                system_u:system_r:NetworkManager_t:s0
Target Objects                Unknown [ process ]
Source                        nm-dispatcher
Source Path                   nm-dispatcher
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-126.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.0.4-303.fc22.x86_64 #1 SMP Thu
                              May 28 12:37:06 UTC 2015 x86_64 x86_64
Alert Count                   444
First Seen                    2015-06-03 17:54:35 PDT
Last Seen                     2015-06-04 19:42:37 PDT
Local ID                      272ef236-0c66-4ee4-81eb-1d2ee10c9d84

Raw Audit Messages
type=AVC msg=audit(1433472157.285:2504): avc:  denied  { sigchld } for  pid=23873 comm="gmain" scontext=system_u:system_r:dnssec_trigger_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=process permissive=1


Hash: nm-dispatcher,dnssec_trigger_t,NetworkManager_t,process,sigchld

Version-Release number of selected component:
selinux-policy-3.13.1-126.fc22.noarch

Additional info:
reporter:       libreport-2.5.1
hashmarkername: setroubleshoot
kernel:         4.0.4-303.fc22.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2015-06-09 17:18:35 UTC
commit 1abb96898955308f2d326124b90bdc1c982d7081
Author: Miroslav Grepl <mgrepl>
Date:   Tue Jun 9 19:17:17 2015 +0200

    Allow dnssec_trigger_t to send SIGKILL and SIGNULL to NM. BZ(1228464)

Comment 2 Fedora Update System 2015-06-19 07:51:22 UTC
selinux-policy-3.13.1-128.2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-128.2.fc22

Comment 3 Fedora Update System 2015-06-21 00:34:07 UTC
Package selinux-policy-3.13.1-128.2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-128.2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10299/selinux-policy-3.13.1-128.2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-06-27 22:33:45 UTC
selinux-policy-3.13.1-128.2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.